# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::SceneManagerVectorGraphics Class Reference

The SceneManagerVectorGraphics class is a SceneManager that contains VectorGraphics objects. More...

`#include <SceneManagerVectorGraphics.hpp>`

Inheritance diagram for vl::SceneManagerVectorGraphics:

List of all members.

## Public Member Functions

| SceneManagerVectorGraphics ()
void | setActorRenderRankStart (int rank_start)
| Defines the Actor's render rank to be used when extracting them from the scene manager during the rendering.
int | actorRenderRankStart () const
| Returns the rendering rank start value used during the rendering of the VectorGraphics objects. See setActorRenderRankStart() for more information.
virtual void | extractVisibleActors (ActorCollection &queue, const Camera *)
| Performs frustum culling and appends the enabled and visible Actor[s] to the given ActorCollection.
virtual void | extractActors (ActorCollection &queue)
| Appends all the Actor[s] contained in the scene manager without performing frustum culling or checking enable masks.
Collection< VectorGraphics > * | vectorGraphicObjects ()
| Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.
const Collection < VectorGraphics > * | vectorGraphicObjects () const
| Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.

## Protected Attributes

Collection< VectorGraphics > | mVectorGraphicObjects
int | mActorRenderRankStart

## Detailed Description

The SceneManagerVectorGraphics class is a SceneManager that contains VectorGraphics objects.

The VectorGraphics objects are rendered in the order in which they are added to the SceneManagerVectorGraphics.

See also:
  - Actor
  - ActorKdTree
  - ActorTree
  - SceneManager
  - SceneManagerBVH
  - SceneManagerActorKdTree
  - SceneManagerActorTree
  - SceneManagerPortals

Definition at line 56 of file SceneManagerVectorGraphics.hpp.

## Constructor & Destructor Documentation

vl::SceneManagerVectorGraphics::SceneManagerVectorGraphics | ( | ) | `[inline]`

Definition at line 61 of file SceneManagerVectorGraphics.hpp.

References mActorRenderRankStart, mVectorGraphicObjects, and vl::Object::setAutomaticDelete().

## Member Function Documentation

void vl::SceneManagerVectorGraphics::setActorRenderRankStart | ( | int | rank_start ) | `[inline]`

Defines the Actor's render rank to be used when extracting them from the scene manager during the rendering.

During the rendering when the Actor[s] are extracted they are assigned a progressive render rank starting from rank_start so that they are rendered in the same order in which they were created by their VectorGraphics. Also the order in which a VectorGraphics is inserted in the SceneManagerVectorGraphics determines the rendering order.

Definition at line 67 of file SceneManagerVectorGraphics.hpp.

References mActorRenderRankStart.

int vl::SceneManagerVectorGraphics::actorRenderRankStart | ( | ) | const`[inline]`

Returns the rendering rank start value used during the rendering of the VectorGraphics objects. See setActorRenderRankStart() for more information.

Definition at line 70 of file SceneManagerVectorGraphics.hpp.

References mActorRenderRankStart.

virtual void vl::SceneManagerVectorGraphics::extractVisibleActors | ( | ActorCollection & | list,
|  | const Camera * | camera
| ) |  | `[inline, virtual]`

Performs frustum culling and appends the enabled and visible Actor[s] to the given ActorCollection.

See also enableMask(), Actor::enableMask()

Implements vl::SceneManager.

Definition at line 72 of file SceneManagerVectorGraphics.hpp.

References vl::SceneManager::cullingEnabled(), and extractActors().

virtual void vl::SceneManagerVectorGraphics::extractActors | ( | ActorCollection & | list ) | `[inline, virtual]`

Appends all the Actor[s] contained in the scene manager without performing frustum culling or checking enable masks.

Implements vl::SceneManager.

Definition at line 81 of file SceneManagerVectorGraphics.hpp.

References vl::VectorGraphics::actors(), vl::Collection< T >::at(), mActorRenderRankStart, vl::Collection< T >::push_back(), vl::Actor::setRenderRank(), vl::Collection< T >::size(), and vectorGraphicObjects().

Referenced by extractVisibleActors().

Collection<VectorGraphics>* vl::SceneManagerVectorGraphics::vectorGraphicObjects | ( | ) | `[inline]`

Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.

Definition at line 95 of file SceneManagerVectorGraphics.hpp.

References mVectorGraphicObjects.

Referenced by extractActors().

const Collection<VectorGraphics>* vl::SceneManagerVectorGraphics::vectorGraphicObjects | ( | ) | const`[inline]`

Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.

Definition at line 98 of file SceneManagerVectorGraphics.hpp.

References mVectorGraphicObjects.

## Member Data Documentation

Collection<VectorGraphics> vl::SceneManagerVectorGraphics::mVectorGraphicObjects`[protected]`

Definition at line 101 of file SceneManagerVectorGraphics.hpp.

Referenced by SceneManagerVectorGraphics(), and vectorGraphicObjects().

int vl::SceneManagerVectorGraphics::mActorRenderRankStart`[protected]`

Definition at line 102 of file SceneManagerVectorGraphics.hpp.

Referenced by actorRenderRankStart(), extractActors(), SceneManagerVectorGraphics(), and setActorRenderRankStart().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVG/SceneManagerVectorGraphics.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:59.
Permission is granted to use this page to write and publish articles regarding Visualization Library.